package cn.estsh.i3plus.ext.mes.pcn.api.busi;

import cn.estsh.i3plus.pojo.mes.bean.MesEarlyWarningKanBan;
import cn.estsh.i3plus.pojo.mes.model.KanBanPictureModel;
import cn.estsh.i3plus.pojo.mes.model.MesEarlyWarningKanBanModel;
import cn.estsh.i3plus.pojo.mes.model.MesKanBanShowModel;

import java.text.ParseException;
import java.util.List;

public interface IMesEarlyWarningService {

    /**
     * 查询出需要轮询组的id 和 轮询的时间（切换组时查询一下）
     * 如果idList 数量为1，时间则是定时刷新时间
     *
     * 添加新的组时需要查询一下
     */
    List<MesEarlyWarningKanBan> getEarlyWarningList(String organizeCode);

    /**
     * 保存配置
     * @param model
     */
    void saveEarlyWarning(MesEarlyWarningKanBanModel model);

    /**
     * 更新配置
     * @param earlyWarning
     */
    void updateEarlyWarning(MesEarlyWarningKanBan earlyWarning);

    /**
     * 软删配置
     */
    void deleteEarlyWarning(Long id, String organizeCode,String userName);

    /**
     * 获取看板数据
     * @param id
     */
    MesEarlyWarningKanBan getKanbanData(Long id,String organizeCode);

    /**
     * 获取看板数据
     * @param id
     */
    MesKanBanShowModel doGetData(Long id, String organizeCode) throws ParseException;

    /**
     * 保存截图
     * @param model
     */
    void savePicture(KanBanPictureModel model);

}
